.fade-up {
  display: none;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.fade-up.show {
  display: block;
  opacity: 1;
  transform: translateY(0);
}

.btn-container {
  display: none;
}

.btn-container.show {
  display: block;
}

.form-label {
  font-size: 22px;
  font-weight: 700 !important;
}
#jobPostForm .form-label{
  font-size: 24px !important;
  font-weight: 600 !important;
}
#jobPostForm .form-select{
  font-size: 18px;
  background-color: #F7F8F9;
}
#jobPostForm .form-check-label {
  background-color: #F7F8F9;
  font-size: 18px;

}
#jobPostForm  small{
  font-size: 18px;
}
#jobPostForm .form-check-label:has(.form-check-input:checked){
  background-color: #F5F9FF;
}
  #jobPostForm .form-control{
    background-color: #F7F8F9;
    font-size: 18px;
  }

.form-check .form-check-input {
  float: right;
  margin-right: -1.5em !important;  
  position: absolute;
  right: 32px;
  top: 43%;
  transform: translateY(-57%);
  padding: 15px !important;
}
.form-check {
  display: block;
  min-height: 1.5rem;
  padding-left: 0;
  margin-bottom: 0.125rem;
}
.form-check-input {
  appearance: none;
  width: 20px;
  height: 20px;
  border: 2px solid #000;
  border-radius: 50%;
  outline: none;
  cursor: pointer;
  margin-top: 0.3em;
  margin-right: 0.5em;
  vertical-align: middle;
}

.form-check-input:checked {
  background-color: #000;
}

.form-check-label {
  display: flex;
  align-items: center;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin-bottom: 10px;
  transition: background-color 0.3s ease;
}

/* .form-check-input:checked + .form-check-label {
  background-color: #f5f9ff;
  border: 1px solid #6155B4;
} */
.form-check-label:has(.form-check-input:checked) {
  background-color: #f5f9ff;
  border: 1px solid #6155B4 !important;
}

/* .form-check-input:checked + .form-check-label::before {
  content: "\2022";
  color: #000;
  font-size: 1.5em;
  margin-right: 0.5em;
} */

.file-upload-wrapper {
  border: 2px dashed #ccc;
  padding: 20px;
  text-align: center;
  position: relative;
  cursor: pointer;
}
.file-upload-wrapper input[type="file"] {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  cursor: pointer;
}
.file-preview {
  display: flex;
  flex-wrap: wrap;
  margin-top: 15px;
}
.file-preview img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  margin-right: 10px;
  margin-bottom: 10px;
  position: relative;
}
.file-preview img .remove-icon {
  position: absolute;
  top: 5px;
  right: 5px;
  background: rgba(255, 255, 255, 0.8);
  border-radius: 50%;
  cursor: pointer;
}

.img-container {
  position: relative;
  display: inline-block;
  margin: 5px;
}

.img-container img {
  max-width: 100px;
  max-height: 100px;
  display: block;
}

.remove-icon {
  position: absolute;
  top: -13px;
  right: -2px;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border-radius: 50%;
  cursor: pointer;
  padding: 0px 7px 4px;
  font-size: 16px;
  line-height: 22px;
}
